package uicc.usim.geolocation ;

import uicc.toolkit.* ;

/**
 * The <code>GeoLocationBuilder</code> class is a <code>GeoLocation</code> object factory.
 */

public class GeoLocationBuilder {

    /**
     * Create an instance of the <code>GeoLocation</code> interface. Initialises the <code>GeoLocation</code>
     * object with the information given in the <code>TerminalProfile</code> about the ME capabilities and performs the
     * necessary registration to the <code>ToolkitRegistry</code> object of the Applet instance.
     *
     * @see uicc.toolkit.ToolkitRegistry;
     * @see uicc.toolkit.TerminalProfile;
     *
     * @return <code>GeoLocation</code> object;
     */
    public static GeoLocation buildGeoLocation() {
        return null ;
    }
}

